FORE_DNLD(8)

NAME
fore_dnld - download FORE Systems' microcode into host ATM adapter

SYNOPSIS
fore_dnld [-3] [-i intf] [-d path] [-f objfile] [-r]

DESCRIPTION
The fore_dnld utility downloads FORE Systems' microcode into the host ATM adapter(s).

OPTIONS

-i intf
    Specify which ATM interface to download microcode to. Default is to load microcode into all FORE Systems host adapters.

-d path
    Specify the path to prepend to the objfile name. Default is to use current directory.

-f objfile
    Specify the microcode binary file. Defaults are: sba200.obj for SBA-200 adapters, sba200e.obj for SBA-200E adapters, and pca200e.bin for PCA-200E adapters.

NOTES
For the PCA200E adapter, if no file is specified on the command line a built-in copy of version 4.1.12 microcode is used. When the option -3 is specified version 3.0.1 microcode is used instead.

Microcode as distributed by FORE Systems is not ready for downloading directly into SBA host ATM adapters. Instead, the supplied microcode needs to be processed with the objcopy(1) command to create an image suitable for downloading. Arguments to objcopy(1) are “-S -l -Fcoff”.

Microcode as distributed by FORE Systems for the PCA host ATM adapter does not need to be processed.

FILES

~fore/etc/objcopy
    command to process FORE Systems supplied microcode.

~fore/etc/sba200*.ucode*
    microcode as supplied by FORE Systems for SBA adapters.

~fore/i386/pca200e.bin
    microcode as supplied by FORE Systems for PCA adapters.

~harp/doc/Install
    HARP installation instructions.

COPYRIGHT
Copyright (c) 1994-1998, Network Computing Services, Inc.

AUTHORS
John Cavanaugh, Minnesota Supercomputer Center, Inc. Mike Spengler, Minnesota Supercomputer Center, Inc. Joe Thomas, Minnesota Supercomputer Center, Inc.

ACKNOWLEDGMENTS
This software was developed under the sponsorship of the Defense Advanced Research Projects Agency (DARPA) under contract numbers F19628-92-C-0072 and F19628-95-C-0215.

BUGS
None known.